--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2016 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--
	
	-- WF.core.performance
local WFPerformanceReport = require 'WFPerformanceReport'

	-- WF.core.utils
local WFUnknown = require 'WFUnknown'

--==============================================================================

-- @mark LrmPerformanceReportModel namespace

--------------------------------------------------------------------------------

local LrmPerformanceReportModel = {}

--------------------------------------------------------------------------------

function LrmPerformanceReportModel.make()

	return {
		value = WFUnknown.value(),
		
		events = {
		
			recordSingleValue = function( self, key, value )
			
				WFPerformanceReport.recordSingleValue( key, value )
				
			end
		}
	}
	
end

--------------------------------------------------------------------------------

return LrmPerformanceReportModel
